#ifndef __STDIO_H
#define __STDIO_H

typedef void FILE;
typedef unsigned int size_t;

#define EOF -1

// CRT {

int feof( FILE *stream );
int fgetc( FILE *stream );
FILE *fopen( const char *filename, const char *mode );
size_t fwrite( const void *buffer, size_t size, size_t count, FILE *stream );
int fclose( FILE *stream );
size_t fread( void *buffer, size_t size, size_t count, FILE *stream );

int printf( const char *format , ... );
int getc( FILE *stream );
int getchar();

// } CRT

// Addin {

//      
char *_gets( char *buffer,int buffermax);
//      
size_t fwritestring(FILE*,const char*);

// } Addin

#endif
